load('parameters.mat');
xu = sqrt(L_1/L_2)*V_2nom/V_1nom;
xc = 1.00;
Pnom = getPower(k_nom, V_2nom, R_1, R_2, C_2, L_1, L_2, xu, xc, omega_0);
ks= [0.2, 0.4, 0.6 0.1];
N = 1000;
data.powerVec = zeros(N,length(ks));
omegaVec = zeros(N,1);
powerRef = zeros(N,1);
inc = 0.8*omega_0/N;
omega_min = 0.7*omega_0;
freq = omega_min;
legends = cell(1,length(ks));
for j = 1:length(ks)
    k = ks(j);
    legends(j) = {strcat('$k$=', num2str(k/k_nom), '$.0k_{nom}$')};
    for i = 1:N
        data.powerVec(i,j) = getPower(k, V_2nom, R1, R2, C_2, L_1, L_2, xu, xc, freq);
        omegaVec(i) = freq;
        powerRef(i) = 1;
        freq = freq + inc;
    end
    freq = omega_min;
end
legends(1) = {'$k=0.5k_{nom}$'};
legends(2) = {'$k=1.0k_{nom}$'};
legends(3) = {'$k=2.0k_{nom}$'};
legends(4) = {'$k=3.0k_{nom}$'};
legends(5) = {'$P_{ref}$'};
start1 = 288; end1 = 487;
start2 = 217; end2 = 634;
start3 = 157; end3 = 841;
start4 = 329; end4 = 428;
figure
hold on  
plot(omegaVec(start4:end4)/omega_0, abs(real(data.powerVec(start4:end4,4))/Pnom), 'c', 'LineWidth', 1.3);
plot(omegaVec(start1:end1)/omega_0, abs(real(data.powerVec(start1:end1,1))/Pnom), 'b', 'LineWidth', 1.3);
plot(omegaVec(start2:end2)/omega_0, abs(real(data.powerVec(start2:end2,2))/Pnom), 'color', [0,0.4,0], 'LineWidth', 1.3);
plot(omegaVec(start3:end3)/omega_0, abs(real(data.powerVec(start3:end3,3))/Pnom), 'r', 'LineWidth', 1.3);

plot(omegaVec/omega_0, powerRef, '--k', 'LineWidth', 1.3)
legend(legends, 'interpreter', 'latex', 'Fontsize', 16)
xlabel('Normalized frequency ($\omega/\omega_0$)', 'interpreter', 'latex', 'Fontsize', 14)
ylabel('Normalized power $(P_{out}/P_0)$', 'interpreter', 'latex', 'Fontsize', 14)
xlim([0.8 1.4])
ylim([0 2.2])
grid on