%function [omegaVec, pVec_omega] = getIPTCharacteristics_Vdc(xc, xu, R1, R2)

load('parameters.mat');
xc = 1.0;
xu = sqrt(L_1/L_2)*V_2nom/V_1nom;
R1 = R_1;
R2 = R_2;
Pnom = getPower(k_nom, V_2nom, R1, R2, C_2, L_1, L_2, sqrt(L_1/L_2)*V_2nom/V_1nom, xc, omega_0);
V2= [0.5*V_2nom, V_2nom, 1.5*V_2nom, 2*V_2nom];
N = 1000;
data.pVec_omega = zeros(N,length(V2));
omegaVec = zeros(N,1);
Pref = zeros(N,1);
inc = 0.8*omega_0/N;
omega_min = 0.7*omega_0;
freq = omega_min;
legends = cell(1,length(V2));
for j = 1:length(V2)
    legends(j) = {strcat('$V_{2}=$ ', num2str(V2(j)/V_2nom), '$V_{2,nom}$')};
    for i = 1:N
        data.pVec_omega(i,j) = getPower_Vdc(k_nom, V2(j), V_2nom, R1, R2, C_2, L_1, L_2, xu, xc, freq);
        omegaVec(i) = freq;
        Pref(i) = 1;
        freq = freq + inc;
    end
    freq = omega_min;
end
legends(1) = {'$V_{2}=0.5V_{2,nom}$'};
legends(2) = {'$V_{2}=1.0V_{2,nom}$'};
legends(3) = {'$V_{2}=1.5V_{2,nom}$'};
legends(4) = {'$V_{2}=2.0V_{2,nom}$'};
legends(5) = {'$P_{ref}$'};

%%
start1 = 289; start2 = 316; start3 = 330; start4 = 215;
end1 = 486; end2 = 446; end3 = 428; end4 = 635;
figure
hold on  
plot(omegaVec(start4:end4)/omega_0, abs(real(data.pVec_omega(start4:end4,1))/Pnom), 'c', 'LineWidth', 1.3);
plot(omegaVec(start1:end1)/omega_0, abs(real(data.pVec_omega(start1:end1,2))/Pnom), 'b', 'LineWidth', 1.3);
plot(omegaVec(start2:end2)/omega_0, abs(real(data.pVec_omega(start2:end2,3))/Pnom), 'color', [0,0.4,0], 'LineWidth', 1.3);
plot(omegaVec(start3:end3)/omega_0, abs(real(data.pVec_omega(start3:end3,4))/Pnom), 'r', 'LineWidth', 1.3);
plot(omegaVec/omega_0, Pref, '--k', 'LineWidth', 1.3)
legend(legends, 'interpreter', 'latex', 'Fontsize', 16)
xlabel('Normalized frequency ($\omega/\omega_0$)', 'interpreter', 'latex', 'Fontsize', 14)
ylabel('Normalized power $(P_{out}/P_0)$', 'interpreter', 'latex', 'Fontsize', 14)
xlim([0.85 1.4])
ylim([0 2.2])
%title('PowPow','Interpreter','latex');
grid on