%% Power with varying omega
%close all
clear all

load('parameters.mat');
Vdc = V_dcout;
omega = omega_0;
k = 0.4;
R1 = R_1;
R2 = R_2;
N = 1000;
data.pVec_omega = zeros(N,4);
data.argZVec = zeros(N,4);
omegaVec = zeros(N,1);
%data.ref = zeros(N,1);
inc = 0.8*omega_0/N;
omega_min = 0.7*omega_0;
freq = omega_min;

xu = 0.98;
xc = 0.98;
for i = 1:N
    data.pVec_omega(i,1) = getPower(k, V_2nom, R_1, R_2, C_2, L_1, L_2, xu, xc, freq);
    SteadyState = getSteadyState(freq, R_1, R_2, xu, xc, k, Vdc);
    data.argZVec(i,1) = angle(V_1nom/(SteadyState(1) +1i*SteadyState(2)));
    omegaVec(i) = freq;
    %data.ref(i,1) = 1;
    freq = freq + inc;
end
freq = omega_min;
Pnom2 = getPower(k, V_2nom, 0, 0, C_2, L_1, L_2, xu, xc, omega_0);

xu = 0.98;
xc = 1.02;
limL = sqrt(1/(1+k/xu));
limU = sqrt(1/(1-k/xu));
for i = 1:N
    data.pVec_omega(i,2) = getPower(k, V_2nom, R_1, R_2, C_2, L_1, L_2, xu, xc, freq);
    SteadyState = getSteadyState(freq, R_1, R_2, xu, xc, k, Vdc);
    data.argZVec(i,2) = angle(V_1nom/(SteadyState(1) +1i*SteadyState(2)));
    omegaVec(i) = freq;
    %data.ref(i,1) = 1;
    freq = freq + inc;
end
freq = omega_min;
Pnom3 = getPower(k, V_2nom, R_1, R_2, C_2, L_1, L_2, xu, xc, omega_0);

Req = omega_0*k*L_2; %V_2nom*M*omega_0/V_1nom;
xu = 0.98;
xc = 0.98;
for i = 1:N
    data.pVec_omega(i,3) = getPower_Req(k, V_2nom, R_1, R_2, C_2, L_1, L_2, xu, xc, freq, Req);
    SteadyState = getSteadyState_Req(freq, R_1, R_2, xu, xc, k, Req);
    data.argZVec(i,3) = angle(V_1nom/(SteadyState(1) +1i*SteadyState(2)));
    omegaVec(i) = freq;
    %data.ref(i,1) = 1;
    freq = freq + inc;
end
freq = omega_min;
Pnom4 = getPower_Req(k, V_2nom, 0, 0, C_2, L_1, L_2, xu, xc, omega_0, Req);

xu = 0.98;
xc = 1.02;
for i = 1:N
    data.pVec_omega(i,4) = getPower_Req(k, V_2nom, R_1, R_2, C_2, L_1, L_2, xu, xc, freq, Req);
    SteadyState = getSteadyState_Req(freq, R_1, R_2, xu, xc, k, Req);
    data.argZVec(i,4) = angle(V_1nom/(SteadyState(1) +1i*SteadyState(2)));
    omegaVec(i) = freq;
    %data.ref(i,1) = 1;
    freq = freq + inc;
end

Pnom5 = getPower_Req(k, V_2nom, 0, 0, C_2, L_1, L_2, xu, xc, omega_0, Req);

start1 = 190; %183;
start2 = 169; %90;
end1 = 768; %739;
end2 = 735; %90;
figure
hold on  
%plot(omegaVec(start1:end1)/omega_0, abs(real(data.pVec_omega(start1:end1,1))/Pnom), 'b', 'LineWidth', 1.3) %, 'Marker', 'o','MarkerIndices', 133);
plot(omegaVec(start1:end1)/omega_0, abs(real(data.pVec_omega(start1:end1,1))/Pnom2), 'b', 'LineWidth', 1.3) %,'Marker', 'o','MarkerIndices', 53);
plot(omegaVec(start2:end2)/omega_0, abs(real(data.pVec_omega(start2:end2,2))/Pnom3), 'r', 'LineWidth', 1.3) %,'Marker', 'o','MarkerIndices', 42);
plot(omegaVec(1:N)/omega_0, abs(real(data.pVec_omega(1:N,3))/Pnom4), 'color', [0 0.7 0.], 'LineWidth', 1.3, 'LineStyle', '--') %,'Marker', 'o','MarkerIndices', 42);
plot(omegaVec(1:N)/omega_0, abs(real(data.pVec_omega(1:N,4))/Pnom5), 'color', [0 0.2 0.4], 'LineWidth', 1.3, 'LineStyle', '--') %,'Marker', 'o','MarkerIndices', 42);
%line([limL limL], [0 4], 'Color', 'k', 'LineStyle', '--', 'LineWidth', 1.3, 'HandleVisibility','off');
%line([limU limU], [0 4], 'Color', 'k', 'LineStyle', '--', 'LineWidth', 1.3, 'HandleVisibility','off');
%plot(omegaVec(:,3)/omega_0, data.ref, '--k', 'LineWidth', 1.3)
%legend(legends, 'interpreter', 'latex')
xlabel('Normalized frequency ($\omega/\omega_0$)', 'interpreter', 'latex', 'Fontsize', 14)
ylabel('Normalized power $(P_{out}/P_0)$', 'interpreter', 'latex', 'Fontsize', 14)
legend('CVL, $x_c$=0.98', 'CVL, $x_c$=1.02', 'CRL, $x_c$=0.98', 'CRL, $x_c$=1.02', 'interpreter', 'latex', 'Fontsize', 16)
xlim([0.75 1.5])
ylim([0 4])
%title('PowPow','Interpreter','latex');
grid on

%%
figure
grid on
hold on
plot(omegaVec/omega_0, data.argZVec(:,1)*180/(2*pi), 'b', 'LineWidth', 1.3);
plot(omegaVec/omega_0, data.argZVec(:,2)*180/(2*pi), 'r', 'LineWidth', 1.3);
plot(omegaVec/omega_0, data.argZVec(:,3)*180/(2*pi), 'color', [0 0.7 0.], 'LineWidth', 1.3, 'LineStyle', '--');
plot(omegaVec/omega_0, data.argZVec(:,4)*180/(2*pi), 'color', [0 0.2 0.4], 'LineWidth', 1.3, 'LineStyle', '--');
xlabel('Normalized frequency ($\omega/\omega_0$)', 'interpreter', 'latex', 'Fontsize', 14)
ylabel('$\angle Z_{send}$ [deg]', 'interpreter', 'latex', 'Fontsize', 14)
legend('CVL, $x_c$=0.98', 'CVL, $x_c$=1.02', 'CRL, $x_c$=0.98', 'CRL, $x_c$=1.02', 'interpreter', 'latex', 'Fontsize', 16)
xlim([0.75 1.5])
ylim([-30 30])