%% Constant power with varying k
clear all
load('parameters.mat')
N = 1000;
xu = sqrt(L_1/L_2)*V_2nom/V_1nom;
xc = 1.00;
R1 = R_1;
R2 = R_2;
omega = omega_0;
Pnom = V_1nom*V_2nom/(M*omega_0);
%Pnom = getPower(k_nom, V_2nom, R1, R2, C_2, L_1, L_2,
%sqrt(L_1/L_2)*V_2nom/V_1nom, 1, omega);
inc = 2*k_nom/N;
kmin = k_nom;
Mmin = kmin*sqrt(L_1*L_2);
k = kmin;
k_vec = zeros(1,N);
omegaVec = zeros(1,N);
pVec_k = zeros(1,N);
for i = 1:N
    P_out = getPower(k, V_2nom, R1, R2, C_2, L_1, L_2, xu, xc, omega);
    pVec_k(i) = P_out;
    k_vec(i) = k;
    k = k + inc;
end
kmax = k;
Mmax = kmax*sqrt(L_1*L_2);

%figure
hold on
plot(k_vec/k_nom, real(pVec_k)/Pnom, 'LineWidth', 1.3);
xlabel('Normalized coupling $(k/k_{nom})$', 'interpreter', 'latex', 'Fontsize', 14)
ylabel('Normalized power $(P_{out}/P_0)$', 'interpreter', 'latex', 'Fontsize', 14)
legend('$P_{out}(k)$', 'interpreter', 'latex', 'Fontsize', 16)
grid on
