% Get symbolic A-matrix with correct steady-state-values
[A, ~] = getSSFromMaple_vol2();
% Create symbolic variables and constants
syms i_2d i_2q 
param = [i_2d i_2q];
symMatrixCell = cell(1, length(param));
numMatrixCell = cell(1, length(param));
[l, r, eigen, SS] = getEigen();
paramSensMatrix = zeros(length(A), length(param));

for i=1:length(param)
    symMatrixCell{i} = diff(A, param(i));
end

load('parameters.mat')

i_1d = (4*M*V_dcout*omega_0 + R_2*V_10*pi)/(pi*(omega_0^2*M^2 + R_2*R_1));
i_1q = 0;
i_2d = 0;
i_2q = (omega_0*M*V_10-R_1*4/pi*V_dcout)/(R_1*R_2 + omega_0^2*M^2);
v_c1d = 0;
v_c1q = -1/(C_1*omega_0)*i_1d;
v_c2d = 1/(C_2*omega_0)*i_2q;
v_c2q = 0;


for i=1:length(param)
    numMatrixCell{i} = eval(symMatrixCell{i});
end

for i=1:length(param)
    for j = 1:length(A)
        paramSensMatrix(j, i) = r(:,j)'*numMatrixCell{i}*l(:,j)/(r(:,j)'*l(:,j));
    end
end

scatter(real(diag(eigen)), imag(diag(eigen)));