load('parameters.mat')
xu = sqrt(L_1/L_2)*V_2nom/V_1nom;
xc = 1.0;
Vdc = V_dcout;
[Ad, ~, ~, ~] = getStateSpace(omega_0, R_1, R_2, xu, xc, k_nom, Vdc);

%% Modal decomposition

n = length(Ad);
[V, ~] = eig(Ad);
WT = inv(V);
W = WT';

%% Participation factor method 1

PF1 = zeros(n);
for i=1:n
    for j=1:n
        PF1(i,j) = abs(W(i,j)*V(i,j));
    end
end

%% Participation factor method 2

PF2 = zeros(n);
for i=1:n
    for j=1:n
        div = real(W(:,i))'*real(W(:,i));
        PF2(j,i) = real(W(j,i))^2/div;
    end
end


%% Participation factor method 3
% Modal decomposition, to obtain normalized left eigenvector
[~, ~, Q] = eig(Ad);

PF3 = zeros(n);
for i=1:n
    for j=1:n
        PF3(i,j) = abs(Q(i,j))^2;
    end
end

%% Participation factor method 4

PF4 = zeros(n);
for i=1:n
    for j=1:n
        PF4(i,j) = abs(2*real(W(i,j)*V(i,j)));
    end
end

%% Parameter sensitivity to matrix entries

for i = 1:n/2
    sens{i} = abs(W(:,2*i)*V(:,2*i)');
end

sens1 = cell2mat(sens(1));
sens2 = cell2mat(sens(2));
sens3 = cell2mat(sens(3));
sens4 = cell2mat(sens(4));
