%close all
simStart = 0.009;
simEnd = 0.055;
figure
hold on
plot(coupling/k_nom, 'k', 'LineWidth', 1.3);
xlabel('Time [s]',  'Fontsize', 14)
ylabel('Normalized coupling $(k/k_{nom})$', 'interpreter', 'latex', 'Fontsize', 14) 
legend('$k(t)$', 'interpreter', 'latex', 'Fontsize', 16)
xlim([simStart simEnd])
ylim([1 3.1])
title('')
grid on
hold off

% figure
% hold on
% %plot(deviation/Pnom, 'b', 'LineWidth', 1.3);
% plot(deviation_sending/Pnom, 'r', 'LineWidth', 1.3);
% ylim([-0.05 0.75])
% xlabel('Time [s]',  'Fontsize', 12)
% ylabel('Normalized power ($P_{in}/P_0$)', 'interpreter', 'latex', 'Fontsize', 12) 
% legend('$P_{ref} - P_{in}(t)$', 'interpreter', 'latex', 'Fontsize', 16)
% xlim([simStart simEnd])
% title('')
% grid on
% hold off

figure
hold on
plot(frequency/omega_0, 'LineWidth', 1.3);
ylim([1 1.5])
xlabel('Time [s]',  'Fontsize', 14)
ylabel('Normalized frequency ($\omega/\omega_0$)', 'interpreter', 'latex', 'Fontsize', 14) 
legend('$\omega(t)$', 'interpreter', 'latex', 'Fontsize', 16)
xlim([simStart simEnd])
title('')
grid on
hold off

figure
hold on
plot(output_sending/(Pnom), 'r', 'LineWidth', 1.3);
plot(output/(Pnom), 'b', 'LineWidth', 1.3);
line([0.00 0.08],[13374/Pnom 13374/Pnom],'Color','k','LineStyle','--', 'LineWidth', 1.3)
%line([0.005 0.032],[0.66*12900/Pnom 0.66*12900/Pnom],'Color','k','LineStyle','--', 'LineWidth', 1.3)
%line([0 0.005],[0.32*12900/Pnom 0.32*12900/Pnom],'Color','k','LineStyle','--', 'LineWidth', 1.3)
%line([0.005 0.005],[0.32*12900/Pnom 0.66*12900/Pnom],'Color','k','LineStyle','--', 'LineWidth', 1.3)
%line([0.032 0.032],[0.66*12900/Pnom 12900/Pnom],'Color','k','LineStyle','--', 'LineWidth', 1.3)
ylim([0.6 1.05])
xlabel('Time [s]',  'Fontsize', 14)
ylabel('Normalized power ($P/P_0$)', 'interpreter', 'latex', 'Fontsize', 14) 
legend('$P_{in}(t)$', '$P_{out}(t)$', '$P_{ref}$', 'interpreter', 'latex', 'Fontsize', 16)
xlim([simStart simEnd])
title('')
grid on
hold off

