%% Load
%close all
load('parameters.mat')
xu = 0.98; %sqrt(L_1/L_2)*V_2nom/V_1nom;
xc = 1.03;
omega = omega_0;
k = k_nom*1.5;
R1 = R_1;
R2 = R_2;
%C1 = C_1;
C2 = C_2;
V__dc = V_dcout;
Pnom = getPower(k_nom, V_2nom, R1, R2, C_2, L_1, L_2, xu, xc, omega_0);
[A, B, C, SteadyState] = getStateSpace(omega, R_1, R_2, xu, xc, k, V__dc);
eigen = eig(A);
simTime = 0.0032;
simTime2 = 0.05;
stepV1 = 0.1*V_1nom;
stepVdc = 0.1*V_dcout;
stepOmega = 0; %0.028*omega_0;
stepTimeOmega = 0.002;
stepTimeOmegaLin = 0.0040;%0.01;
stepTimeV1 = 0.002;
stepTimeVdc = 0.0024;
stepTimeLin = 0.0028;
snubber = 1e5;
M = k*sqrt(L_1*L_2);
L_alpha1 = L_1 - M^(2)/L_2;
L_alpha2 = L_2 - M^(2)/L_1; 
I_ref = V_1nom/(omega_0*M);
%% Simulate
sim('SmallSignalModelR')
sim('NonlinModel_BlockSchemeR')
sim('NonlinModel_MatFunctionR')
%sim('PhysicalModelSineR')
sim('CircuitModel')
% I2_Req = -getPower(k, V_1nom, V_2nom, R_1, R_2, C_1, C_2, L_1, L_2, xu, xc, omega)/V_2nom;
% I1_amp_dq = sqrt(SteadyState(1)^2+SteadyState(2)^2);
% I2_amp_dq = sqrt(SteadyState(3)^2+SteadyState(4)^2);

%% Plot

abs_i1dq_lin = sqrt(i_1d_lin.signals.values.^2 + i_1q_lin.signals.values.^2);
abs_i2dq_lin = sqrt(i_2d_lin.signals.values.^2 + i_2q_lin.signals.values.^2);

abs_i1dq_mf = sqrt(i_1d.signals.values.^2 + i_1q.signals.values.^2);
abs_i2dq_mf = sqrt(i_2d.signals.values.^2 + i_2q.signals.values.^2);

abs_i1dq_bs = sqrt(i_1dn.signals.values.^2 + i_1qn.signals.values.^2);
abs_i2dq_bs = sqrt(i_2dn.signals.values.^2 + i_2qn.signals.values.^2);

% I1_sine = I1sine.signals.values;
% I2_sine = I2sine.signals.values;

I1_square = I1square.signals.values;
I2_square = I2square.signals.values;

V_1 = V1.signals.values;
t_v1 = V1.time;

V_dc = Vdc.signals.values;
t_vdc = Vdc.time;

t_lin = i_1d_lin.time;
t_mf = i_1d.time;
t_bs = i_1dn.time;
%tsine = I1sine.time;
t_square = I1square.time;

%% Plots
x_start = 0.00195;

figure
hold on
plot(t_square, I1_square, 'b');
%plot(tsine, I1_sine, 'g');
plot(t_lin, abs_i1dq_lin, 'r', 'LineWidth', 4);
%plot(t_mf, abs_i1dq_mf, 'k-x','MarkerSize', 2);
plot(t_bs, abs_i1dq_bs, 'k','LineWidth', 2);
xlim([x_start simTime])
ylim([-40 40])
xlabel('Time [s]', 'Fontsize', 10)
ylabel('Sending coil current [A]', 'Fontsize', 10)
legend('$i_{1}$', '$|i_{1,dq,lin}|$', '$|i_{1,dq}|$',  'Interpreter', 'latex', 'Fontsize', 12,'Location','southeast') %'$|i_{1,dq,nonlin}|$', '$i_{1,square}$', 'Interpreter', 'latex')
grid on
hold off

figure
hold on
plot(t_square, I2_square, 'b');
%plot(tsine, I2_sine, 'g');
plot(t_lin, abs_i2dq_lin, 'r', 'LineWidth', 4);
%plot(t_mf, abs_i2dq_mf, 'k-x','MarkerSize', 2);
plot(t_bs, abs_i2dq_bs, 'k','LineWidth', 2);
xlim([x_start simTime])
ylim([-80 80])
xlabel('Time [s]', 'Fontsize', 10)
ylabel('Receiving coil current [A]', 'Fontsize', 10)
legend('$i_{2}$', '$|i_{2,dq,lin}|$', '$|i_{2,dq}|$', 'Interpreter', 'latex', 'Fontsize', 12,'Location','southeast') %'$|i_{2,dq,nonlin}|$', '$i_{2,square}$', 'Interpreter', 'latex')
grid on
hold off

% figure
% hold on
% plot(t_v1, V_1, 'b');
% plot(t_vdc, V_dc, 'r', 'LineWidth', 2);
% xlabel('Time [s]', 'Fontsize', 10)
% ylabel('Voltage [V]', 'Fontsize', 10)
% legend('$v_1$', '$V_{dc,out}$', 'Interpreter', 'latex', 'Fontsize', 12)
% xlim([x_start simTime])
% ylim([-450 450])
% grid on
% hold off

%% 

% vec = I2square.signals.values(150000:270000);
% 
% fori = fft(vec);
% plot(vec)
% 
% doc fft

