function F = steadyState_Req(x, omega, R_1, R_2, xu, xc, k, Req)

f_0 = 85*10^(3);
omega_0 = 2*pi*f_0;

% Primary coil
L_1 = 176*10^(-6);

% Secondary coil
V_2nom = 235;
L_2 = 41*10^(-6);

% Mutual
M = k*sqrt(L_1*L_2);
L_alpha1 = L_1 - M^(2)/L_2;
L_alpha2 = L_2 - M^(2)/L_1; 

% Input variables
V_dcout = pi/4*V_2nom;
v_1q = 0;

V_1nom = sqrt(L_1/L_2)*4/pi*V_dcout/xu;
v_1d = V_1nom;
C_2 = 1/(L_2*omega_0^(2));
C_1 = xc*C_2*L_2/L_1;

F(1) = omega*x(2) + (-R_1*x(1) - M*R_2/L_2*x(3) - x(5) - M/L_2*x(7) + ...
v_1d - M/L_2*x(3)*Req)/L_alpha1; 

F(2) = -omega*x(1) + (-R_1*x(2) - M*R_2/L_2*x(4) - x(6) - M/L_2*x(8) + ...
v_1q - M/L_2*x(4)*Req)/L_alpha1; 

F(3) = omega*x(4) + (-M*R_1/L_1*x(1) - R_2*x(3) - M/L_1*x(5) - x(7) + ...
M/L_1*v_1d - x(3)*Req)/L_alpha2; 

F(4) = -omega*x(3) + (-M*R_1/L_1*x(2) - R_2*x(4) - M/L_1*x(6) - x(8) + ...
M/L_1*v_1q - x(4)*Req)/L_alpha2;

F(5) = omega*x(6) + 1/C_1*x(1);

F(6) = -omega*x(5) + 1/C_1*x(2);

F(7) = omega*x(8) + 1/C_2*x(3);

F(8) = -omega*x(7) + 1/C_2*x(4);