clc
clear all

% Get parameters
load('parameters.mat')

% Get symbolic state-space
[A, B] = getSymStateSpaceR_Req;
%R_eq = omega_0*L_2*k_nom;
% Assumptions
v_1d = V_10;
v_1q = 0;

%% Eigenvalues with varying load conditions

N = 1000;
eigTable = zeros(8, N);
inc = 1.5*V_dcout/ N;
V_2min = 0.5*V_2nom;
V_dcoutmin = pi/4*V_2min;
V_dc_nom = V_dcout;
V_dc = V_dcoutmin;
for i = 1:N
    R_eq = V_dc*4/pi*omega_0*M/(V_1nom);
    V_dcout = V_dc;
    Aeval = eval(A);
    Eigenvalues = eig(Aeval);
    eigTable(:, i) = Eigenvalues;
    V_dc = V_dc + inc;
end
V_dcoutmax = V_dc;
V_2max = 4/pi*V_dcoutmax;
trans = eigTable';
realEig = real(trans);
imagEig = imag(trans);

%% Plotting of eigenvalue trajectories

figure()
hold on
grid on
for i = 1:8
    scatter(realEig(:,i), imagEig(:,i), 1, 'b');
end
xlabel('Real part')
ylabel('Imaginary part')
scatter(realEig(1,:), imagEig(1,:), 'o', 'b');
scatter(realEig(N,:), imagEig(N,:), 'v', 'r');
%title('$0.5V_{2,nom} \leq V_2 \leq 2V_{2,nom}$', 'interpreter', 'latex');

