clc
clear all

% Get parameters
load('parameters.mat')

% Get symbolic state-space
[A, ~] = getSymStateSpaceR_Req();


% Assumptions
v_1d = V_10;
v_1q = 0;

%% Eigenvalues with varying coupling conditions

N = 1000;
eigTable = zeros(8, N);
inc = 2.5*k_nom/N;
kmin = 0.5*k_nom;
Mmin = kmin*sqrt(L_1*L_2);
k_nom = kmin;
for i = 1:N
    M = k_nom*sqrt(L_1*L_2);
    L_alpha1 = L_1 - M^(2)/L_2;
    L_alpha2 = L_2 - M^(2)/L_1;
    R_eq = V_2nom*omega_0*M/(V_1nom);%omega_0*L_2*k_nom;
    Aeval = eval(A);
    Eigenvalues = eig(Aeval);
    eigTable(:, i) = Eigenvalues;
    k_nom = k_nom + inc;
end
kmax = k_nom;
Mmax = kmax*sqrt(L_1*L_2);
trans = eigTable';
realEig = real(trans);
imagEig = imag(trans);

%% Plotting of eigenvalue trajectories

figure()
hold on
grid on
for i = 1:8
    scatter(realEig(:,i), imagEig(:,i), 1, 'b');
end
xlabel('Real part')
ylabel('Imaginary part')
scatter(realEig(1,:), imagEig(1,:), 'o', 'b');
scatter(realEig(N,:), imagEig(N,:), 'v', 'r');