% Get parameters
load('parameters.mat')
xu = 0.98; %sqrt(L_1/L_2)*V_2nom/V_1nom;
xc = 1;
Vdc = V_dcout;
%% Eigenvalues with varying frequency

N = 100;
eigTable = zeros(8, N);
inc = 0.06*xc/N;
xc_min = 0.97*xc;
xcVec = zeros(1,N);
xc_value = xc_min;
for i = 1:N
    [Ad, Bd, Cd, SteadyState] = getStateSpace(omega_0, R_1, R_2, xu, xc_value, k_nom, Vdc); 
    eigTable(:, i) = eig(Ad);
    xcVec(i) = xc_value;
    xc_value = xc_value + inc;
end
xc_max = xc_value;

trans = eigTable';
realEig = real(trans);
imagEig = imag(trans);

%% Plotting of eigenvalue trajectories

figure()
hold on
grid on
for i = 1:8
    scatter(realEig(:,i), imagEig(:,i), 1, 'b');
end
xlabel('Real part')
ylabel('Imaginary part')
scatter(realEig(1,:), imagEig(1,:), 'o', 'b');
scatter(realEig(N,:), imagEig(N,:), 'v', 'r');