% Get parameters
load('parameters.mat')
xu = 1; %sqrt(L_1/L_2)*V_2nom/V_1nom;
xc = 1.03;
Vdc = V_dcout;
%% Eigenvalues with varying frequency

N = 50;
eigTable = zeros(8, N);
inc = 0.1*xu/N;
xu_min = 0.9*xu;
xuVec = zeros(1,N);
xu_value = xu_min;
for i = 1:N
    [Ad, Bd, Cd, SteadyState] = getStateSpace(omega_0, R_1, R_2, xu_value, xc, k_nom, Vdc); 
    eigTable(:, i) = eig(Ad);
    xuVec(i) = xu_value;
    xu_value = xu_value + inc;
end
xu_max = xu_value;

trans = eigTable';
realEig = real(trans);
imagEig = imag(trans);

%% Plotting of eigenvalue trajectories

figure()
hold on
grid on
for i = 1:8
    scatter(realEig(:,i), imagEig(:,i), 1, 'b');
end
xlabel('Real part')
ylabel('Imaginary part')
scatter(realEig(1,:), imagEig(1,:), 'o', 'b');
scatter(realEig(N,:), imagEig(N,:), 'v', 'r');