clear all
%close all
load('parameters.mat')
%% Eigenvalues with varying initial condition
omega = omega_0;
N = 20;
eigTable = zeros(8, N);
inc = -60/N;
i2d0_min = 0;
i_2d = i2d0_min;
i_2q = -(omega_0*M*V_10-R_1*4/pi*V_dcout)/(R_1*R_2 + omega_0^2*M^2);
for i = 1:N
    [A, ~] = getSSFromMaple_vol2();
    Aeval = eval(A);
    Eigenvalues = eig(Aeval);
    eigTable(:, i) = Eigenvalues;
    i_2d = i_2d + inc
end

trans = eigTable';
realEig = real(trans);
imagEig = imag(trans);

%% Plotting of eigenvalue trajectories

figure()
hold on
grid on
for i = 1:8
    scatter(realEig(:,i), imagEig(:,i), 1, 'b');
end
xlabel('Real part')
ylabel('Imaginary part')
scatter(realEig(1,:), imagEig(1,:), 'o', 'b');
scatter(realEig(N,:), imagEig(N,:), 'v', 'r');
