%clear all
%close all
load('parameters.mat')
%% Eigenvalues with varying initial condition
omega = omega_0;
N = 1000;
eigTable = zeros(8, N);
inc = 45/N;
i2q0_min = -60;
i_2q = i2q0_min;
i_2d = 0;
for i = 1:N
    [A, ~] = getSSFromMaple_vol2();
    Aeval = eval(A);
    Eigenvalues = eig(Aeval);
    eigTable(:, i) = Eigenvalues;
    i_2q = i_2q + inc;
end

trans = eigTable';
realEig = real(trans);
imagEig = imag(trans);

%% Plotting of eigenvalue trajectories

figure()
hold on
grid on
for i = 1:8
    scatter(realEig(:,i), imagEig(:,i), 1, 'b');
end
xlabel('Real part')
ylabel('Imaginary part')
scatter(realEig(1,:), imagEig(1,:), 'o', 'b');
scatter(realEig(N,:), imagEig(N,:), 'v', 'r');
