%% Power with varying k
%clear all
close all
load('parameters.mat')
xu = 0.95; %sqrt(L_1/L_2)*V_2nom/V_1nom;
xc = 0.97;
Pnom = getPower(k_nom, V_2nom, R_1, R_2, C_2, L_1, L_2, xu, xc, omega_0);

%Pnom = V_1nom*V_2nom/(omega_0*M);
Vdc = V_dcout;
Inom = Pnom/V_1nom;
N = 500;
eigTable = zeros(8,N);
P_wanted = Pnom;
inc = 2*k_nom/N;
kmin = k_nom;
Mmin = kmin*sqrt(L_1*L_2);
k = kmin;
k_vec = zeros(1,N);
omegaVec = zeros(1,N);
voltageVec = zeros(1,N);
currentVec = zeros(1,N);
ssVec = zeros(8,N);
pVec_k = zeros(1,N);
Inorm = Pnom/V_1nom;
for i = 1:N
    omega = getOmega_constP_supres(k, V_2nom, R_1, R_2, C_2, L_1, L_2, xu, xc, P_wanted, omega_0);
    omegaVec(i) = omega;
    pVec_k(i) = getPower(k, V_2nom, R_1, R_2, C_2, L_1, L_2, xu, xc, omega);
    SteadyState = getSteadyState(omega, R_1, R_2, xu, xc, k, Vdc);
    currentVec(i) = sqrt(SteadyState(1)^2 + SteadyState(2)^2);
    k_vec(i) = k;
    voltageVec(i) = V_1nom;
    k = k + inc;
end
kmax = k;
Mmax = kmax*sqrt(L_1*L_2);


%% Plotting of eigenvalue trajectories

figure
subplot(2,1,2)
plot(k_vec/k_nom, abs(pVec_k)/Pnom, 'k', 'LineWidth', 1.3);
xlabel('Normalized coupling ($k/k_{nom}$)', 'interpreter', 'latex')
ylabel('Normalized power ($P_{out}/P_0$)', 'interpreter', 'latex')
legend('$P(\omega, k)$', 'interpreter', 'latex')
%title('Normalized power','Interpreter','latex');
ylim([P_wanted/Pnom - 0.01 P_wanted/Pnom + 0.01])
grid on

subplot(2,1,1)
plot(k_vec/k_nom, real(omegaVec)/omega_0, 'LineWidth', 1.3);
xlabel('Normalized coupling ($k/k_{nom}$)', 'interpreter', 'latex')
ylabel('Normalized frequency ($\omega/\omega_0$)', 'interpreter', 'latex')
legend('$\omega(k)$', 'interpreter', 'latex')
%title('Normalized frequency','Interpreter','latex');
grid on

figure
hold on
plot(k_vec/k_nom, omegaVec/omega_0, 'b', 'LineWidth', 1.3);
plot(k_vec/k_nom, currentVec/Inom, 'r', 'LineWidth', 1.3);
plot(k_vec/k_nom, voltageVec/V_1nom, 'k', 'LineWidth', 1.3);
xlabel('Normalized coupling $k/k_{nom}$', 'interpreter', 'latex','Fontsize', 14)
ylabel('Normalized quantities', 'interpreter', 'latex','Fontsize', 14)
legend('$\omega/\omega_0$', '$I_1/I_{1,0}$', '$V_1/V_{1,nom}$','Interpreter','latex', 'Fontsize', 16);
%title('Normalized power','Interpreter','latex');
ylim([0.7 1.85])
grid on