%% Constant power with varying k
%clear all
load('parameters.mat')
N = 500;
omega = omega_0;
Pnom = V_1nom*V_2nom/(omega_0*M);
kmin = k_nom;
kmax = 3*k_nom;
k_ratio = kmax/kmin;
Vmax = k_ratio*V_1nom;
Imin = Pnom/Vmax;

inc = 2*k_nom/N;
k_vec = zeros(1,N);
omegaVec = zeros(1,N);
currentVec = zeros(1,N);
voltageVec = zeros(1,N);
pVec_k = zeros(1,N);
k = kmin;
for i = 1:N
    k_rat = kmax/k;
    omegaVec(i) = omega_0;
    voltageVec(i) = Vmax/k_rat;
    currentVec(i) = Pnom/voltageVec(i);
    k_vec(i) = k;
    k = k + inc;
end
kmax = k;
Mmax = kmax*sqrt(L_1*L_2);

figure
hold on
plot(k_vec/k_nom, omegaVec/omega_0, 'b', 'LineWidth', 1.3);
plot(k_vec/k_nom, currentVec/Imin, 'r', 'LineWidth', 1.3);
plot(k_vec/k_nom,  voltageVec/Vmax, 'k', 'LineWidth', 1.3);
xlabel('Normalized coupling $k/k_{nom}$', 'interpreter', 'latex','Fontsize', 14)
ylabel('Normalized quantities', 'interpreter', 'latex','Fontsize', 14)
legend('$\omega/\omega_0$', '$I_1/I_{1,min}$', '$V_1/V_{1,max}$','Interpreter','latex','Fontsize', 16);
%title('Normalized power','Interpreter','latex');
grid on

