%% Parameters

P_0 = 10*10^(3);
f_0 = 85*10^(3);
k_nom = 0.2;
omega_0 = 2*pi*f_0;

% Primary coil
V_1nom = 380;
L_1 = 176*10^(-6);
Q_1 = 310;
R_1 = omega_0*L_1/Q_1;
C_1 = 1/(L_1*omega_0^(2));

% Secondary coil
V_2nom = 235;
L_2 = 41*10^(-6);
Q_2 = 270;
R_2 = omega_0*L_2/Q_2;
C_2 = 1/(L_2*omega_0^(2));

% Mutual
M = k_nom*sqrt(L_1*L_2);
L_alpha1 = L_1 - M^(2)/L_2;
L_alpha2 = L_2 - M^(2)/L_1; 

% Input variables
V_10 = V_1nom;
V_dcout = pi/4*V_2nom;

filename = 'parameters';
save(filename);